diff -urN linux-2.6.0-test1/arch/m68k/mac/psc.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/psc.c
--- linux-2.6.0-test1/arch/m68k/mac/psc.c	2003-07-13 23:34:42.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/psc.c	2003-07-23 17:24:19.000000000 -0400
@@ -42,7 +42,7 @@
 
 	if (!psc_present) return;
 	for (i = 0x30 ; i < 0x70 ; i += 0x10) {
-		printk("PSC #%d:  IFR = 0x%02X IER = 0x%02X\n",
+		printk(KERN_EMERG "PSC #%d:  IFR = 0x%02X IER = 0x%02X\n",
 			i >> 4,
 			(int) psc_read_byte(pIFRbase + i),
 			(int) psc_read_byte(pIERbase + i));
@@ -59,14 +59,14 @@
 {
 	int i;
 
-	printk("Killing all PSC DMA channels...");
+	printk(KERN_EMERG "Killing all PSC DMA channels...");
 	for (i = 0 ; i < 9 ; i++) {
 		psc_write_word(PSC_CTL_BASE + (i << 4), 0x8800);
 		psc_write_word(PSC_CTL_BASE + (i << 4), 0x1000);
 		psc_write_word(PSC_CMD_BASE + (i << 5), 0x1100);
 		psc_write_word(PSC_CMD_BASE + (i << 5) + 0x10, 0x1100);
 	}
-	printk("done!\n");
+	printk(KERN_EMERG "done!\n");
 }
 
 /*
@@ -94,7 +94,7 @@
 	psc = (void *) PSC_BASE;
 	psc_present = 1;
 
-	printk("PSC detected at %p\n", psc);
+	printk(KERN_EMERG "PSC detected at %p\n", psc);
 
 	psc_dma_die_die_die();
 
@@ -142,7 +142,7 @@
 	base_irq = irq << 3;
 
 #ifdef DEBUG_IRQS
-	printk("psc_irq: irq %d pIFR = 0x%02X pIER = 0x%02X\n",
+	printk(KERN_DEBUG "psc_irq: irq %d pIFR = 0x%02X pIER = 0x%02X\n",
 		irq, (int) psc_read_byte(pIFR), (int) psc_read_byte(pIER));
 #endif
 
@@ -167,7 +167,7 @@
 	int pIER	= pIERbase + (irq_src << 4);
 
 #ifdef DEBUG_IRQUSE
-	printk("psc_irq_enable(%d)\n", irq);
+	printk(KERN_DEBUG "psc_irq_enable(%d)\n", irq);
 #endif
 	psc_write_byte(pIER, (1 << irq_idx) | 0x80);
 }
@@ -178,7 +178,7 @@
 	int pIER	= pIERbase + (irq_src << 4);
 
 #ifdef DEBUG_IRQUSE
-	printk("psc_irq_disable(%d)\n", irq);
+	printk(KERN_DEBUG "psc_irq_disable(%d)\n", irq);
 #endif
 	psc_write_byte(pIER, 1 << irq_idx);
 }
diff -urN linux-2.6.0-test1/arch/m68k/math-emu/multi_arith.h linux-2.6.0-test1-printk-m68k/arch/m68k/math-emu/multi_arith.h
--- linux-2.6.0-test1/arch/m68k/math-emu/multi_arith.h	2003-07-13 23:33:11.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/math-emu/multi_arith.h	2003-07-23 16:59:12.000000000 -0400
@@ -73,7 +73,7 @@
 
 extern inline void put_i128(const int128 a)
 {
-	printk("%08x %08x %08x %08x\n", a[MSW128], a[NMSW128],
+	printk(KERN_WARNING "%08x %08x %08x %08x\n", a[MSW128], a[NMSW128],
 	       a[NLSW128], a[LSW128]);
 }
 
diff -urN linux-2.6.0-test1/arch/m68k/mm/fault.c linux-2.6.0-test1-printk-m68k/arch/m68k/mm/fault.c
--- linux-2.6.0-test1/arch/m68k/mm/fault.c	2003-07-13 23:33:47.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mm/fault.c	2003-07-23 17:18:09.000000000 -0400
@@ -28,7 +28,7 @@
 	siginfo.si_code = current->thread.code;
 	siginfo.si_addr = (void *)current->thread.faddr;
 #ifdef DEBUG
-	printk("send_fault_sig: %p,%d,%d\n", siginfo.si_addr, siginfo.si_signo, siginfo.si_code);
+	printk(KERN_DEBUG "send_fault_sig: %p,%d,%d\n", siginfo.si_addr, siginfo.si_signo, siginfo.si_code);
 #endif
 
 	if (user_mode(regs)) {
@@ -63,7 +63,7 @@
 			printk(KERN_ALERT "Unable to handle kernel NULL pointer dereference");
 		else
 			printk(KERN_ALERT "Unable to handle kernel access");
-		printk(" at virtual address %p\n", siginfo.si_addr);
+		printk(KERN_ALERT " at virtual address %p\n", siginfo.si_addr);
 		die_if_kernel("Oops", regs, 0 /*error_code*/);
 		do_exit(SIGKILL);
 	}
@@ -90,7 +90,7 @@
 	int write, fault;
 
 #ifdef DEBUG
-	printk ("do page fault:\nregs->sr=%#x, regs->pc=%#lx, address=%#lx, %ld, %p\n",
+	printk (KERN_DEBUG "do page fault:\nregs->sr=%#x, regs->pc=%#lx, address=%#lx, %ld, %p\n",
 		regs->sr, regs->pc, address, error_code,
 		current->mm->pgd);
 #endif
@@ -130,7 +130,7 @@
  */
 good_area:
 #ifdef DEBUG
-	printk("do_page_fault: good_area\n");
+	printk(KERN_DEBUG "do_page_fault: good_area\n");
 #endif
 	write = 0;
 	switch (error_code & 3) {
@@ -157,7 +157,7 @@
  survive:
 	fault = handle_mm_fault(mm, vma, address, write);
 #ifdef DEBUG
- 	printk("handle_mm_fault returns %d\n",fault);
+ 	printk(KERN_DEBUG "handle_mm_fault returns %d\n",fault);
 #endif
 	switch (fault) {
 	case 1:
@@ -187,7 +187,7 @@
 		goto survive;
 	}
 	
-	printk("VM: killing process %s\n", current->comm);
+	printk(KERN_WARNING "VM: killing process %s\n", current->comm);
 	if (user_mode(regs))
 		do_exit(SIGKILL);
 
diff -urN linux-2.6.0-test1/arch/m68k/mm/init.c linux-2.6.0-test1-printk-m68k/arch/m68k/mm/init.c
--- linux-2.6.0-test1/arch/m68k/mm/init.c	2003-07-13 23:37:27.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mm/init.c	2003-07-23 17:20:21.000000000 -0400
@@ -48,9 +48,9 @@
     int free = 0, total = 0, reserved = 0, shared = 0;
     int cached = 0;
 
-    printk("\nMem-info:\n");
+    printk(KERN_INFO "\nMem-info:\n");
     show_free_areas();
-    printk("Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
+    printk(KERN_INFO "Free swap:       %6dkB\n",nr_swap_pages<<(PAGE_SHIFT-10));
     i = max_mapnr;
     while (i-- > 0) {
 	total++;
@@ -63,11 +63,11 @@
 	else
 	    shared += page_count(mem_map+i) - 1;
     }
-    printk("%d pages of RAM\n",total);
-    printk("%d free pages\n",free);
-    printk("%d reserved pages\n",reserved);
-    printk("%d pages shared\n",shared);
-    printk("%d pages swap cached\n",cached);
+    printk(KERN_INFO "%d pages of RAM\n",total);
+    printk(KERN_INFO "%d free pages\n",free);
+    printk(KERN_INFO "%d reserved pages\n",reserved);
+    printk(KERN_INFO "%d pages shared\n",shared);
+    printk(KERN_INFO "%d pages swap cached\n",cached);
 }
 
 extern void init_pointer_table(unsigned long ptable);
@@ -124,7 +124,7 @@
 		init_pointer_table((unsigned long)zero_pgtable);
 #endif
 
-	printk("Memory: %luk/%luk available (%dk kernel code, %dk data, %dk init)\n",
+	printk(KERN_INFO "Memory: %luk/%luk available (%dk kernel code, %dk data, %dk init)\n",
 	       (unsigned long)nr_free_pages() << (PAGE_SHIFT-10),
 	       max_mapnr << (PAGE_SHIFT-10),
 	       codepages << (PAGE_SHIFT-10),
@@ -143,6 +143,6 @@
 		totalram_pages++;
 		pages++;
 	}
-	printk ("Freeing initrd memory: %dk freed\n", pages);
+	printk (KERN_INFO "Freeing initrd memory: %dk freed\n", pages);
 }
 #endif
diff -urN linux-2.6.0-test1/arch/m68k/mm/kmap.c linux-2.6.0-test1-printk-m68k/arch/m68k/mm/kmap.c
--- linux-2.6.0-test1/arch/m68k/mm/kmap.c	2003-07-13 23:38:48.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mm/kmap.c	2003-07-23 17:21:14.000000000 -0400
@@ -126,7 +126,7 @@
 #endif
 
 #ifdef DEBUG
-	printk("ioremap: 0x%lx,0x%lx(%d) - ", physaddr, size, cacheflag);
+	printk(KERN_DEBUG "ioremap: 0x%lx,0x%lx(%d) - ", physaddr, size, cacheflag);
 #endif
 	/*
 	 * Mappings have to be aligned
@@ -145,7 +145,7 @@
 	virtaddr = (unsigned long)area->addr;
 	retaddr = virtaddr + offset;
 #ifdef DEBUG
-	printk("0x%lx,0x%lx,0x%lx", physaddr, virtaddr, retaddr);
+	printk(KERN_DEBUG "0x%lx,0x%lx,0x%lx", physaddr, virtaddr, retaddr);
 #endif
 
 	/*
@@ -186,12 +186,12 @@
 	while ((long)size > 0) {
 #ifdef DEBUG
 		if (!(virtaddr & (PTRTREESIZE-1)))
-			printk ("\npa=%#lx va=%#lx ", physaddr, virtaddr);
+			printk (KERN_DEBUG "\npa=%#lx va=%#lx ", physaddr, virtaddr);
 #endif
 		pgd_dir = pgd_offset_k(virtaddr);
 		pmd_dir = pmd_alloc(&init_mm, pgd_dir, virtaddr);
 		if (!pmd_dir) {
-			printk("ioremap: no mem for pmd_dir\n");
+			printk(KERN_ERR "ioremap: no mem for pmd_dir\n");
 			return NULL;
 		}
 
@@ -203,7 +203,7 @@
 		} else {
 			pte_dir = pte_alloc_kernel(&init_mm, pmd_dir, virtaddr);
 			if (!pte_dir) {
-				printk("ioremap: no mem for pte_dir\n");
+				printk(KERN_ERR "ioremap: no mem for pte_dir\n");
 				return NULL;
 			}
 
@@ -214,7 +214,7 @@
 		}
 	}
 #ifdef DEBUG
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 #endif
 	flush_tlb_all();
 
@@ -251,7 +251,7 @@
 	while ((long)size > 0) {
 		pgd_dir = pgd_offset_k(virtaddr);
 		if (pgd_bad(*pgd_dir)) {
-			printk("iounmap: bad pgd(%08lx)\n", pgd_val(*pgd_dir));
+			printk(KERN_ERR "iounmap: bad pgd(%08lx)\n", pgd_val(*pgd_dir));
 			pgd_clear(pgd_dir);
 			return;
 		}
@@ -269,7 +269,7 @@
 		}
 
 		if (pmd_bad(*pmd_dir)) {
-			printk("iounmap: bad pmd (%08lx)\n", pmd_val(*pmd_dir));
+			printk(KERN_ERR "iounmap: bad pmd (%08lx)\n", pmd_val(*pmd_dir));
 			pmd_clear(pmd_dir);
 			return;
 		}
@@ -327,7 +327,7 @@
 	while ((long)size > 0) {
 		pgd_dir = pgd_offset_k(virtaddr);
 		if (pgd_bad(*pgd_dir)) {
-			printk("iocachemode: bad pgd(%08lx)\n", pgd_val(*pgd_dir));
+			printk(KERN_ERR "iocachemode: bad pgd(%08lx)\n", pgd_val(*pgd_dir));
 			pgd_clear(pgd_dir);
 			return;
 		}
@@ -346,7 +346,7 @@
 		}
 
 		if (pmd_bad(*pmd_dir)) {
-			printk("iocachemode: bad pmd (%08lx)\n", pmd_val(*pmd_dir));
+			printk(KERN_ERR "iocachemode: bad pmd (%08lx)\n", pmd_val(*pmd_dir));
 			pmd_clear(pmd_dir);
 			return;
 		}
diff -urN linux-2.6.0-test1/arch/m68k/mm/memory.c linux-2.6.0-test1-printk-m68k/arch/m68k/mm/memory.c
--- linux-2.6.0-test1/arch/m68k/mm/memory.c	2003-07-13 23:35:53.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mm/memory.c	2003-07-23 17:19:03.000000000 -0400
@@ -53,7 +53,7 @@
 
 	PD_MARKBITS(dp) &= ~mask;
 #ifdef DEBUG
-	printk("init_pointer_table: %lx, %x\n", ptable, PD_MARKBITS(dp));
+	printk(KERN_DEBUG "init_pointer_table: %lx, %x\n", ptable, PD_MARKBITS(dp));
 #endif
 
 	/* unreserve the page so it's possible to free that page */
@@ -150,7 +150,7 @@
 	do {
 		if (voff < m68k_memory[i].size) {
 #ifdef DEBUGPV
-			printk ("VTOP(%p)=%lx\n", vaddr,
+			printk (KERN_DEBUG "VTOP(%p)=%lx\n", vaddr,
 				m68k_memory[i].addr + voff);
 #endif
 			return m68k_memory[i].addr + voff;
@@ -176,7 +176,7 @@
 		poff = paddr - m68k_memory[i].addr;
 		if (poff < m68k_memory[i].size) {
 #ifdef DEBUGPV
-			printk ("PTOV(%lx)=%lx\n", paddr, poff + voff);
+			printk (KERN_DEBUG "PTOV(%lx)=%lx\n", paddr, poff + voff);
 #endif
 			return poff + voff;
 		}
@@ -186,7 +186,7 @@
 #if DEBUG_INVALID_PTOV
 	if (mm_inv_cnt > 0) {
 		mm_inv_cnt--;
-		printk("Invalid use of phys_to_virt(0x%lx) at 0x%p!\n",
+		printk(KERN_DEBUG "Invalid use of phys_to_virt(0x%lx) at 0x%p!\n",
 			paddr, __builtin_return_address(0));
 	}
 #endif
diff -urN linux-2.6.0-test1/arch/m68k/mm/motorola.c linux-2.6.0-test1-printk-m68k/arch/m68k/mm/motorola.c
--- linux-2.6.0-test1/arch/m68k/mm/motorola.c	2003-07-13 23:34:43.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mm/motorola.c	2003-07-23 17:18:47.000000000 -0400
@@ -83,7 +83,7 @@
 
 		last_pgtable = (pmd_t *)last;
 #ifdef DEBUG
-		printk("kernel_ptr_init: %p\n", last_pgtable);
+		printk(KERN_DEBUG "kernel_ptr_init: %p\n", last_pgtable);
 #endif
 	}
 
@@ -119,7 +119,7 @@
 	while (size > 0) {
 #ifdef DEBUG
 		if (!(virtaddr & (PTRTREESIZE-1)))
-			printk ("\npa=%#lx va=%#lx ", physaddr & PAGE_MASK,
+			printk (KERN_DEBUG "\npa=%#lx va=%#lx ", physaddr & PAGE_MASK,
 				virtaddr);
 #endif
 		pgd_dir = pgd_offset_k(virtaddr);
@@ -127,7 +127,7 @@
 			if (!(virtaddr & (ROOTTREESIZE-1)) &&
 			    size >= ROOTTREESIZE) {
 #ifdef DEBUG
-				printk ("[very early term]");
+				printk (KERN_DEBUG "[very early term]");
 #endif
 				pgd_val(*pgd_dir) = physaddr;
 				size -= ROOTTREESIZE;
@@ -139,7 +139,7 @@
 		if (!pgd_present(*pgd_dir)) {
 			pmd_dir = kernel_ptr_table();
 #ifdef DEBUG
-			printk ("[new pointer %p]", pmd_dir);
+			printk (KERN_DEBUG "[new pointer %p]", pmd_dir);
 #endif
 			pgd_set(pgd_dir, pmd_dir);
 		} else
@@ -148,14 +148,14 @@
 		if (CPU_IS_020_OR_030) {
 			if (virtaddr) {
 #ifdef DEBUG
-				printk ("[early term]");
+				printk (KERN_DEBUG "[early term]");
 #endif
 				pmd_dir->pmd[(virtaddr/PTRTREESIZE) & 15] = physaddr;
 				physaddr += PTRTREESIZE;
 			} else {
 				int i;
 #ifdef DEBUG
-				printk ("[zero map]");
+				printk (KERN_DEBUG "[zero map]");
 #endif
 				zero_pgtable = kernel_ptr_table();
 				pte_dir = (pte_t *)zero_pgtable;
@@ -171,7 +171,7 @@
 		} else {
 			if (!pmd_present(*pmd_dir)) {
 #ifdef DEBUG
-				printk ("[new table]");
+				printk (KERN_DEBUG "[new table]");
 #endif
 				pte_dir = kernel_page_table();
 				pmd_set(pmd_dir, pte_dir);
@@ -190,7 +190,7 @@
 
 	}
 #ifdef DEBUG
-	printk("\n");
+	printk(KERN_DEBUG "\n");
 #endif
 
 	return virtaddr;
@@ -209,7 +209,7 @@
 #ifdef DEBUG
 	{
 		extern unsigned long availmem;
-		printk ("start of paging_init (%p, %lx, %lx, %lx)\n",
+		printk (KERN_DEBUG "start of paging_init (%p, %lx, %lx, %lx)\n",
 			kernel_pg_dir, availmem, start_mem, end_mem);
 	}
 #endif
@@ -250,8 +250,8 @@
 
 	flush_tlb_all();
 #ifdef DEBUG
-	printk ("memory available is %ldKB\n", mem_avail >> 10);
-	printk ("start_mem is %#lx\nvirtual_end is %#lx\n",
+	printk (KERN_DEBUG "memory available is %ldKB\n", mem_avail >> 10);
+	printk (KERN_DEBUG "start_mem is %#lx\nvirtual_end is %#lx\n",
 		start_mem, end_mem);
 #endif
 
@@ -268,7 +268,7 @@
 	set_fs(KERNEL_DS);
 
 #ifdef DEBUG
-	printk ("before free_area_init\n");
+	printk (KERN_DEBUG "before free_area_init\n");
 #endif
 	zones_size[0] = (mach_max_dma_address < (unsigned long)high_memory ?
 			 mach_max_dma_address : (unsigned long)high_memory);
diff -urN linux-2.6.0-test1/arch/m68k/mm/sun3kmap.c linux-2.6.0-test1-printk-m68k/arch/m68k/mm/sun3kmap.c
--- linux-2.6.0-test1/arch/m68k/mm/sun3kmap.c	2003-07-13 23:38:49.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mm/sun3kmap.c	2003-07-23 17:21:28.000000000 -0400
@@ -79,7 +79,7 @@
 		return NULL;
 
 #ifdef SUN3_KMAP_DEBUG
-	printk("ioremap: got virt %p size %lx(%lx)\n", 
+	printk(KERN_DEBUG "ioremap: got virt %p size %lx(%lx)\n", 
 	       area->addr, size, area->size);
 #endif
 
diff -urN linux-2.6.0-test1/arch/m68k/mvme147/147ints.c linux-2.6.0-test1-printk-m68k/arch/m68k/mvme147/147ints.c
--- linux-2.6.0-test1/arch/m68k/mvme147/147ints.c	2003-07-13 23:32:33.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mvme147/147ints.c	2003-07-23 17:12:59.000000000 -0400
@@ -64,17 +64,17 @@
                 unsigned long flags, const char *devname, void *dev_id)
 {
 	if (irq > 255) {
-		printk("%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
+		printk(KERN_ERR "%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
 		return -ENXIO;
 	}
 	if (!(irq_tab[irq].flags & IRQ_FLG_STD)) {
 		if (irq_tab[irq].flags & IRQ_FLG_LOCK) {
-			printk("%s: IRQ %d from %s is not replaceable\n",
+			printk(KERN_ERR "%s: IRQ %d from %s is not replaceable\n",
 			       __FUNCTION__, irq, irq_tab[irq].devname);
 			return -EBUSY;
 		}
 		if (flags & IRQ_FLG_REPLACE) {
-			printk("%s: %s can't replace IRQ %d from %s\n",
+			printk(KERN_ERR "%s: %s can't replace IRQ %d from %s\n",
 			       __FUNCTION__, devname, irq, irq_tab[irq].devname);
 			return -EBUSY;
 		}
@@ -89,11 +89,11 @@
 void mvme147_free_irq(unsigned int irq, void *dev_id)
 {
 	if (irq > 255) {
-		printk("%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
+		printk(KERN_ERR "%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
 		return;
 	}
 	if (irq_tab[irq].dev_id != dev_id)
-		printk("%s: Removing probably wrong IRQ %d from %s\n",
+		printk(KERN_WARNING "%s: Removing probably wrong IRQ %d from %s\n",
 		       __FUNCTION__, irq, irq_tab[irq].devname);
 
 	irq_tab[irq].handler = mvme147_defhand;
@@ -105,7 +105,7 @@
 irqreturn_t mvme147_process_int (unsigned long vec, struct pt_regs *fp)
 {
 	if (vec > 255) {
-		printk ("mvme147_process_int: Illegal vector %ld\n", vec);
+		printk (KERN_ERR "mvme147_process_int: Illegal vector %ld\n", vec);
 		return IRQ_NONE;
 	} else {
 		irq_tab[vec].count++;
@@ -130,7 +130,7 @@
 
 static irqreturn_t mvme147_defhand (int irq, void *dev_id, struct pt_regs *fp)
 {
-	printk ("Unknown interrupt 0x%02x\n", irq);
+	printk (KERN_WARNING "Unknown interrupt 0x%02x\n", irq);
 	return IRQ_NONE;
 }
 
diff -urN linux-2.6.0-test1/arch/m68k/mvme16x/16xints.c linux-2.6.0-test1-printk-m68k/arch/m68k/mvme16x/16xints.c
--- linux-2.6.0-test1/arch/m68k/mvme16x/16xints.c	2003-07-13 23:38:00.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mvme16x/16xints.c	2003-07-23 17:22:11.000000000 -0400
@@ -64,18 +64,18 @@
                 unsigned long flags, const char *devname, void *dev_id)
 {
 	if (irq < 64 || irq > 255) {
-		printk("%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
+		printk(KERN_ERR "%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
 		return -ENXIO;
 	}
 
 	if (!(irq_tab[irq-64].flags & IRQ_FLG_STD)) {
 		if (irq_tab[irq-64].flags & IRQ_FLG_LOCK) {
-			printk("%s: IRQ %d from %s is not replaceable\n",
+			printk(KERN_ERR "%s: IRQ %d from %s is not replaceable\n",
 			       __FUNCTION__, irq, irq_tab[irq-64].devname);
 			return -EBUSY;
 		}
 		if (flags & IRQ_FLG_REPLACE) {
-			printk("%s: %s can't replace IRQ %d from %s\n",
+			printk(KERN_ERR "%s: %s can't replace IRQ %d from %s\n",
 			       __FUNCTION__, devname, irq, irq_tab[irq-64].devname);
 			return -EBUSY;
 		}
@@ -90,12 +90,12 @@
 void mvme16x_free_irq(unsigned int irq, void *dev_id)
 {
 	if (irq < 64 || irq > 255) {
-		printk("%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
+		printk(KERN_ERR "%s: Incorrect IRQ %d\n", __FUNCTION__, irq);
 		return;
 	}
 
 	if (irq_tab[irq-64].dev_id != dev_id)
-		printk("%s: Removing probably wrong IRQ %d from %s\n",
+		printk(KERN_WARNING "%s: Removing probably wrong IRQ %d from %s\n",
 		       __FUNCTION__, irq, irq_tab[irq-64].devname);
 
 	irq_tab[irq-64].handler = mvme16x_defhand;;
@@ -107,7 +107,7 @@
 irqreturn_t mvme16x_process_int (unsigned long vec, struct pt_regs *fp)
 {
 	if (vec < 64 || vec > 255) {
-		printk ("mvme16x_process_int: Illegal vector %ld", vec);
+		printk (KERN_ERR "mvme16x_process_int: Illegal vector %ld", vec);
 		return IRQ_NONE;
 	} else {
 		irq_tab[vec-64].count++;
@@ -132,7 +132,7 @@
 
 static irqreturn_t mvme16x_defhand (int irq, void *dev_id, struct pt_regs *fp)
 {
-	printk ("Unknown interrupt 0x%02x\n", irq);
+	printk (KERN_ERR "Unknown interrupt 0x%02x\n", irq);
 	return IRQ_NONE;
 }
 
diff -urN linux-2.6.0-test1/arch/m68k/q40/config.c linux-2.6.0-test1-printk-m68k/arch/m68k/q40/config.c
--- linux-2.6.0-test1/arch/m68k/q40/config.c	2003-07-13 23:34:30.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/q40/config.c	2003-07-23 17:00:00.000000000 -0400
@@ -126,7 +126,7 @@
 void q40_reset()
 {
         halted=1;
-        printk ("\n\n*******************************************\n"
+        printk (KERN_ALERT "\n\n*******************************************\n"
 		"Called q40_reset : press the RESET button!! \n"
 		"*******************************************\n");
 	Q40_LED_ON();
@@ -135,7 +135,7 @@
 void q40_halt()
 {
         halted=1;
-        printk ("\n\n*******************\n"
+        printk (KERN_ALERT "\n\n*******************\n"
 		    "  Called q40_halt\n"
 		    "*******************\n");
 	Q40_LED_ON();
@@ -211,7 +211,7 @@
     /* useful for early debugging stages - writes kernel messages into SRAM */
     if (!strncmp( m68k_debug_device,"mem",3 ))
       {
-	/*printk("using NVRAM debug, q40_mem_cptr=%p\n",q40_mem_cptr);*/
+	/*printk(KERN_DEBUG "using NVRAM debug, q40_mem_cptr=%p\n",q40_mem_cptr);*/
 	_cpleft=2000-((long)q40_mem_cptr-0xff020000)/4;
 	q40_console_driver.write = q40_mem_console_write;
 	register_console(&q40_console_driver);
diff -urN linux-2.6.0-test1/arch/m68k/q40/q40ints.c linux-2.6.0-test1-printk-m68k/arch/m68k/q40/q40ints.c
--- linux-2.6.0-test1/arch/m68k/q40/q40ints.c	2003-07-13 23:37:32.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/q40/q40ints.c	2003-07-23 17:03:50.000000000 -0400
@@ -109,10 +109,10 @@
 		irqreturn_t (*handler)(int, void *, struct pt_regs *),
                 unsigned long flags, const char *devname, void *dev_id)
 {
-  /*printk("q40_request_irq %d, %s\n",irq,devname);*/
+  /*printk(KERN_DEBUG "q40_request_irq %d, %s\n",irq,devname);*/
 
 	if (irq > Q40_IRQ_MAX || (irq>15 && irq<32)) {
-		printk("%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
+		printk(KERN_ERR "%s: Incorrect IRQ %d from %s\n", __FUNCTION__, irq, devname);
 		return -ENXIO;
 	}
 
@@ -121,10 +121,10 @@
 	  {
 	  case 1: case 2: case 8: case 9:
 	  case 12: case 13:
-	    printk("%s: ISA IRQ %d from %s not implemented by HW\n", __FUNCTION__, irq, devname);
+	    printk(KERN_ERR "%s: ISA IRQ %d from %s not implemented by HW\n", __FUNCTION__, irq, devname);
 	    return -ENXIO;
 	  case 11: 	      
-	    printk("warning IRQ 10 and 11 not distinguishable\n");
+	    printk(KERN_WARNING "warning IRQ 10 and 11 not distinguishable\n");
 	    irq=10;
 	  default:
 	    ;
@@ -134,14 +134,14 @@
 	  {
 	    if (irq_tab[irq].dev_id != NULL) 
 		  {
-		    printk("%s: IRQ %d from %s is not replaceable\n",
+		    printk(KERN_ERR "%s: IRQ %d from %s is not replaceable\n",
 			   __FUNCTION__, irq, irq_tab[irq].devname);
 		    return -EBUSY;
 		  }
-	    /*printk("IRQ %d set to handler %p\n",irq,handler);*/
+	    /*printk(KERN_DEBUG "IRQ %d set to handler %p\n",irq,handler);*/
 	    if (dev_id==NULL)
 		  {
-		printk("WARNING: dev_id == NULL in request_irq\n");
+		printk(KERN_WARNING "WARNING: dev_id == NULL in request_irq\n");
 		dev_id=(void*)1;
 	      }
 	    irq_tab[irq].handler = handler;
@@ -162,7 +162,7 @@
 void q40_free_irq(unsigned int irq, void *dev_id)
 {
 	if (irq > Q40_IRQ_MAX || (irq>15 && irq<32)) {
-		printk("%s: Incorrect IRQ %d, dev_id %x \n", __FUNCTION__, irq, (unsigned)dev_id);
+		printk(KERN_ERR "%s: Incorrect IRQ %d, dev_id %x \n", __FUNCTION__, irq, (unsigned)dev_id);
 		return;
 	}
 
@@ -171,7 +171,7 @@
 	  {
 	  case 1: case 2: case 8: case 9:
 	  case 12: case 13:
-	    printk("%s: ISA IRQ %d from %x illegal\n", __FUNCTION__, irq, (unsigned)dev_id);
+	    printk(KERN_ERR "%s: ISA IRQ %d from %x illegal\n", __FUNCTION__, irq, (unsigned)dev_id);
 	    return;
 	  case 11: irq=10;
 	  default:
@@ -181,7 +181,7 @@
 	if (irq<Q40_IRQ_SAMPLE)
 	  {
 	    if (irq_tab[irq].dev_id != dev_id)
-	      printk("%s: Removing probably wrong IRQ %d from %s\n",
+	      printk(KERN_WARNING "%s: Removing probably wrong IRQ %d from %s\n",
 		     __FUNCTION__, irq, irq_tab[irq].devname);
 	    
 	    irq_tab[irq].handler = q40_defhand;
@@ -200,7 +200,7 @@
 
 irqreturn_t q40_process_int (int level, struct pt_regs *fp)
 {
-  printk("unexpected interrupt %x\n",level);
+  printk(KERN_WARNING "unexpected interrupt %x\n",level);
   return IRQ_HANDLED;
 }
 
@@ -341,7 +341,7 @@
 				  goto iirq;
 			  }
 			  if (irq_tab[irq].handler == q40_defhand ) {
-				  printk("handler for IRQ %d not defined\n",irq);
+				  printk(KERN_WARNING "handler for IRQ %d not defined\n",irq);
 				  continue; /* ignore uninited INTs :-( */
 			  }
 			  if ( irq_tab[irq].state & IRQ_INPROGRESS ) {
@@ -353,7 +353,7 @@
 				  disable_irq(irq);
 				  disabled=1;
 #else
-				  /*printk("IRQ_INPROGRESS detected for irq %d, disabling - %s disabled\n",irq,disabled ? "already" : "not yet"); */
+				  /*printk(KERN_DEBUG "IRQ_INPROGRESS detected for irq %d, disabling - %s disabled\n",irq,disabled ? "already" : "not yet"); */
 				  fp->sr = (((fp->sr) & (~0x700))+0x200);
 				  disabled=1;
 #endif
@@ -375,7 +375,7 @@
 					  enable_irq(irq);}
 #else
 				  disabled=0;
-				  /*printk("reenabling irq %d\n",irq); */
+				  /*printk(KERN_DEBUG "reenabling irq %d\n",irq); */
 #endif
 			  }
 // used to do 'goto repeat;' her, this delayed bh processing too long
@@ -383,7 +383,7 @@
 		  }
 	  }
 	  if (mer && ccleirq>0 && !aliased_irq) 
-		  printk("ISA interrupt from unknown source? EIRQ_REG = %x\n",mer),ccleirq--;
+		  printk(KERN_WARNING "ISA interrupt from unknown source? EIRQ_REG = %x\n",mer),ccleirq--;
   } 
  iirq:
   mir=master_inb(IIRQ_REG);
@@ -413,12 +413,12 @@
 
 static irqreturn_t q40_defhand (int irq, void *dev_id, struct pt_regs *fp)
 {
-	printk ("Unknown q40 interrupt 0x%02x\n", irq);
+	printk (KERN_WARNING "Unknown q40 interrupt 0x%02x\n", irq);
 	return IRQ_NONE;
 }
 static irqreturn_t sys_default_handler(int lev, void *dev_id, struct pt_regs *regs)
 {
-	printk ("Uninitialised interrupt level %d\n", lev);
+	printk (KERN_WARNING "Uninitialised interrupt level %d\n", lev);
 	return IRQ_NONE;
 }
 
@@ -434,7 +434,7 @@
   {
     mext_disabled--;
     if (mext_disabled>0)
-	  printk("q40_enable_irq : nested disable/enable\n"); 
+	  printk(KERN_NOTICE "q40_enable_irq : nested disable/enable\n"); 
     if (mext_disabled==0)
     master_outb(1,EXT_ENABLE_REG);
     }
@@ -451,13 +451,13 @@
   if ( irq>=5 && irq<=15 ) {
     master_outb(0,EXT_ENABLE_REG);
     mext_disabled++;
-    if (mext_disabled>1) printk("disable_irq nesting count %d\n",mext_disabled);
+    if (mext_disabled>1) printk(KERN_NOTICE "disable_irq nesting count %d\n",mext_disabled);
   }
 }
 
 unsigned long q40_probe_irq_on (void)
 {
-  printk("irq probing not working - reconfigure the driver to avoid this\n");
+  printk(KERN_ERR "irq probing not working - reconfigure the driver to avoid this\n");
   return -1;
 }
 int q40_probe_irq_off (unsigned long irqs)
diff -urN linux-2.6.0-test1/arch/m68k/sun3/config.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/config.c
--- linux-2.6.0-test1/arch/m68k/sun3/config.c	2003-07-13 23:35:56.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/config.c	2003-07-23 16:55:48.000000000 -0400
@@ -140,7 +140,7 @@
 {
 	unsigned long memory_start, memory_end;
 
-	printk("ARCH: SUN3\n");
+	printk(KERN_INFO "ARCH: SUN3\n");
 	idprom_init();
 
 	/* Subtract kernel memory from available memory */
diff -urN linux-2.6.0-test1/arch/m68k/sun3/idprom.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/idprom.c
--- linux-2.6.0-test1/arch/m68k/sun3/idprom.c	2003-07-13 23:32:42.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/idprom.c	2003-07-23 16:53:55.000000000 -0400
@@ -61,12 +61,12 @@
 	for (i = 0; i < NUM_SUN_MACHINES; i++) {
 		if(Sun_Machines[i].id_machtype == machtype) {
 			if (machtype != (SM_SUN4M_OBP | 0x00))
-				printk("TYPE: %s\n", Sun_Machines[i].name);
+				printk(KERN_INFO "TYPE: %s\n", Sun_Machines[i].name);
 			else {
 #if 0
 				prom_getproperty(prom_root_node, "banner-name",
 						 sysname, sizeof(sysname));
-				printk("TYPE: %s\n", sysname);
+				printk(KERN_INFO "TYPE: %s\n", sysname);
 #endif				
 			}
 			return;
@@ -122,7 +122,7 @@
 
 	display_system_type(idprom->id_machtype);
 
-	printk("Ethernet address: %x:%x:%x:%x:%x:%x\n",
+	printk(KERN_INFO "Ethernet address: %x:%x:%x:%x:%x:%x\n",
 		    idprom->id_ethaddr[0], idprom->id_ethaddr[1],
 		    idprom->id_ethaddr[2], idprom->id_ethaddr[3],
 		    idprom->id_ethaddr[4], idprom->id_ethaddr[5]);
diff -urN linux-2.6.0-test1/arch/m68k/sun3/mmu_emu.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/mmu_emu.c
--- linux-2.6.0-test1/arch/m68k/sun3/mmu_emu.c	2003-07-13 23:35:51.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/mmu_emu.c	2003-07-23 16:55:31.000000000 -0400
@@ -68,21 +68,21 @@
 #if 0
 	/* Verbose version. */
 	unsigned long val = pte_val (pte);
-	printk (" pte=%lx [addr=%lx",
+	printk (KERN_DEBUG " pte=%lx [addr=%lx",
 		val, (val & SUN3_PAGE_PGNUM_MASK) << PAGE_SHIFT);
-	if (val & SUN3_PAGE_VALID)	printk (" valid");
-	if (val & SUN3_PAGE_WRITEABLE)	printk (" write");
-	if (val & SUN3_PAGE_SYSTEM)	printk (" sys");
-	if (val & SUN3_PAGE_NOCACHE)	printk (" nocache");
-	if (val & SUN3_PAGE_ACCESSED)	printk (" accessed");
-	if (val & SUN3_PAGE_MODIFIED)	printk (" modified");
+	if (val & SUN3_PAGE_VALID)	printk (KERN_DEBUG " valid");
+	if (val & SUN3_PAGE_WRITEABLE)	printk (KERN_DEBUG " write");
+	if (val & SUN3_PAGE_SYSTEM)	printk (KERN_DEBUG " sys");
+	if (val & SUN3_PAGE_NOCACHE)	printk (KERN_DEBUG " nocache");
+	if (val & SUN3_PAGE_ACCESSED)	printk (KERN_DEBUG " accessed");
+	if (val & SUN3_PAGE_MODIFIED)	printk (KERN_DEBUG " modified");
 	switch (val & SUN3_PAGE_TYPE_MASK) {
-		case SUN3_PAGE_TYPE_MEMORY: printk (" memory"); break;
-		case SUN3_PAGE_TYPE_IO:     printk (" io");     break;
-		case SUN3_PAGE_TYPE_VME16:  printk (" vme16");  break;
-		case SUN3_PAGE_TYPE_VME32:  printk (" vme32");  break;
+		case SUN3_PAGE_TYPE_MEMORY: printk (KERN_DEBUG " memory"); break;
+		case SUN3_PAGE_TYPE_IO:     printk (KERN_DEBUG " io");     break;
+		case SUN3_PAGE_TYPE_VME16:  printk (KERN_DEBUG " vme16");  break;
+		case SUN3_PAGE_TYPE_VME32:  printk (KERN_DEBUG " vme32");  break;
 	}
-	printk ("]\n");
+	printk (KERN_DEBUG "]\n");
 #else
 	/* Terse version. More likely to fit on a line. */
 	unsigned long val = pte_val (pte);
@@ -104,7 +104,7 @@
 		default: type = "unknown?"; break;
 	}
 
-	printk (" pte=%08lx [%07lx %s %s]\n",
+	printk (KERN_DEBUG " pte=%08lx [%07lx %s %s]\n",
 		val, (val & SUN3_PAGE_PGNUM_MASK) << PAGE_SHIFT, flags, type);
 #endif
 }
@@ -112,7 +112,7 @@
 /* Print the PTE value for a given virtual address. For debugging. */
 void print_pte_vaddr (unsigned long vaddr)
 {
-	printk (" vaddr=%lx [%02lx]", vaddr, sun3_get_segmap (vaddr));
+	printk (KERN_DEBUG " vaddr=%lx [%02lx]", vaddr, sun3_get_segmap (vaddr));
 	print_pte (__pte (sun3_get_pte (vaddr)));
 }
 
@@ -149,7 +149,7 @@
 		
 		if(!pmeg_alloc[i]) {
 #ifdef DEBUG_MMU_EMU
-			printk("freed: ");
+			printk(KERN_DEBUG "freed: ");
 			print_pte_vaddr (seg);
 #endif
 			sun3_put_segmap(seg, SUN3_INVALID_PMEG);
@@ -161,7 +161,7 @@
 		if (sun3_get_segmap (seg) != SUN3_INVALID_PMEG) {
 #ifdef DEBUG_PROM_MAPS
 			for(i = 0; i < 16; i++) {
-				printk ("mapped:");
+				printk (KERN_DEBUG "mapped:");
 				print_pte_vaddr (seg + (i*PAGE_SIZE));
 				break;
 			}
@@ -289,7 +289,7 @@
 
 
 #ifdef DEBUG_MMU_EMU
-printk("mmu_emu_map_pmeg: pmeg %x to context %d vaddr %x\n",
+printk(KERN_DEBUG "mmu_emu_map_pmeg: pmeg %x to context %d vaddr %x\n",
        curr_pmeg, context, vaddr);
 #endif
 
@@ -366,7 +366,7 @@
 	}
 
 #ifdef DEBUG_MMU_EMU
-	printk ("mmu_emu_handle_fault: vaddr=%lx type=%s crp=%p\n",
+	printk (KERN_DEBUG "mmu_emu_handle_fault: vaddr=%lx type=%s crp=%p\n",
 		vaddr, read_flag ? "read" : "write", crp);
 #endif
 
@@ -374,14 +374,14 @@
 	offset  = (vaddr >> SUN3_PTE_SIZE_BITS) & 0xF;
 
 #ifdef DEBUG_MMU_EMU
-	printk ("mmu_emu_handle_fault: segment=%lx offset=%lx\n", segment, offset);
+	printk (KERN_DEBUG "mmu_emu_handle_fault: segment=%lx offset=%lx\n", segment, offset);
 #endif
 
 	pte = (pte_t *) pgd_val (*(crp + segment));
 
 //todo: next line should check for valid pmd properly.
 	if (!pte) {
-//                printk ("mmu_emu_handle_fault: invalid pmd\n");
+//                printk (KERN_DEBUG "mmu_emu_handle_fault: invalid pmd\n");
                 return 0;
         }
 
@@ -413,9 +413,9 @@
 		pte_val (*pte) |= SUN3_PAGE_ACCESSED;
 
 #ifdef DEBUG_MMU_EMU
-	printk ("seg:%d crp:%p ->", get_fs().seg, crp);
+	printk (KERN_DEBUG "seg:%d crp:%p ->", get_fs().seg, crp);
 	print_pte_vaddr (vaddr);
-	printk ("\n");
+	printk (KERN_DEBUG "\n");
 #endif
 
 	return 1;
diff -urN linux-2.6.0-test1/arch/m68k/sun3/prom/init.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/prom/init.c
--- linux-2.6.0-test1/arch/m68k/sun3/prom/init.c	2003-07-13 23:37:57.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/prom/init.c	2003-07-23 16:52:28.000000000 -0400
@@ -81,7 +81,7 @@
 
 	prom_ranges_init();
 #endif
-//	printk("PROMLIB: Sun Boot Prom Version %d Revision %d\n",
+//	printk(KERN_INFO "PROMLIB: Sun Boot Prom Version %d Revision %d\n",
 //	       romvec->pv_romvers, prom_rev);
 
 	/* Initialization successful. */
diff -urN linux-2.6.0-test1/arch/m68k/sun3/prom/printf.c linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/prom/printf.c
--- linux-2.6.0-test1/arch/m68k/sun3/prom/printf.c	2003-07-13 23:29:29.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/sun3/prom/printf.c	2003-07-23 16:52:16.000000000 -0400
@@ -44,7 +44,7 @@
 
 #ifdef CONFIG_KGDB
 	if (kgdb_initialized) {
-		printk("kgdb_initialized = %d\n", kgdb_initialized);
+		printk(KERN_INFO "kgdb_initialized = %d\n", kgdb_initialized);
 		putpacket(bptr, 1);
 	} else
 #else
